Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.validation
Interface IPerformanceMonitor

    public interface IPerformanceMonitor

A service that collects performance information on validation operations.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Nested Class Summary
`static class` | `IPerformanceMonitor.CollectionLevel` The level of information to collect.

Method Summary
`void` | `add(PerformanceCounters counters)` Add this performance counter to the monitor.
`IPerformanceMonitor.CollectionLevel` | `getCollectionLevel()` Answer the level of performance events that are being collected by the validation framework.
`java.util.List<PerformanceCounters>` | `getPerformanceCounters(boolean asSummary)` Answer the performance counters that have been collected so far.
`boolean` | `isCollecting()` Answer true if the performance monitor is collecting performance events.
`boolean` | `isSummaryOnly()` Answer true if only summary information is requested.
`void` | `resetPerformanceCounters()` Delete the collected performance counters.
`void` | `setCollectionLevel(IPerformanceMonitor.CollectionLevel level)` Set the performance event collection level.

Method Detail

### add

    void add(PerformanceCounters counters)

  Add this performance counter to the monitor. The monitor will decide what to do with the results, it may log them to a file, or it may simply hold on to them.

  Parameters:
    `counters` -

### isCollecting

    boolean isCollecting()

  Answer true if the performance monitor is collecting performance events.

### isSummaryOnly

    boolean isSummaryOnly()

  Answer true if only summary information is requested.

### setCollectionLevel

    void setCollectionLevel(IPerformanceMonitor.CollectionLevel level)

  Set the performance event collection level. This controls which performance events are collected, including none of them.

  Parameters:
    `level` - The level to collect. The default is to not collect anything.

### getCollectionLevel

    IPerformanceMonitor.CollectionLevel getCollectionLevel()

  Answer the level of performance events that are being collected by the validation framework.

### getPerformanceCounters

    java.util.List<PerformanceCounters> getPerformanceCounters(boolean asSummary)

  Answer the performance counters that have been collected so far. Some monitors do not save counters, and they will always return an empty list.

  Parameters:
    `asSummary` - If this parameter is true, only answer a summary of the counters.

### resetPerformanceCounters

    void resetPerformanceCounters()

  Delete the collected performance counters.

Overview | Package | Class | Use | Serialized | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD